package com.lzmispt.data.resource.service.collectiondir;

package .tmp;

import com.lzmispt.core.entity.dto.listdeletemodel.ListDeleteModelDTO;
import com.lzmispt.data.center.entity.dto.querymodel.DCQueryModelDTO;
import com.lzmispt.data.resource.entity.dto.collectiondir.BatchSelectionSaveDTO;
import com.lzmispt.data.resource.entity.dto.collectiondir.GetPropertyInfoDTO;
import com.lzmispt.data.resource.entity.dto.collectiondir.GetResDirectoryPropertyDTO;
import com.lzmispt.data.resource.entity.dto.collectiondir.GetResDirectoryTreeDTO;
import com.lzmispt.data.resource.entity.dto.collectiondir.GetResPublishDirectoryTreeDTO;
import com.lzmispt.data.resource.entity.dto.collectiondir.ResDirectoryDTO;
import com.lzmispt.data.resource.entity.dto.collectiondir.ResDirectorySceneDTO;
import com.lzmispt.data.resource.entity.dto.collectiondir.SaveResDirectoryPropertyClickDTO;
import com.lzmispt.data.resource.entity.dto.collectiondir.SaveResDirectoryPropertyConfigDTO;
import com.lzmispt.data.resource.entity.dto.collectiondir.SaveResDirectoryPropertyDTO;
import com.lzmispt.data.resource.entity.po.collectiondir.ResDirectoryPO;
import com.lzmispt.data.resource.entity.po.collectiondir.ResDirectoryPropertyConfigPO;
import com.lzmispt.data.resource.entity.po.collectiondir.ResPublishDirectoryPO;
import com.lzmispt.data.resource.entity.vo.collectiondir.GetPropertyInfoVO;
import com.lzmispt.data.resource.entity.vo.collectiondir.GetResDirectoryPropertyVO;
import com.lzmispt.data.resource.entity.vo.collectiondir.ResDirectoryPropertyConfigVO;
import com.lzmispt.data.resource.entity.vo.collectiondir.ResDirectoryPropertyVO;
import com.lzmispt.data.resource.entity.vo.collectiondir.ResDirectoryResultTreeVO;
import com.lzmispt.data.resource.entity.vo.collectiondir.ResDirectorySceneVO;
import com.lzmispt.data.resource.entity.vo.collectiondir.ResDirectoryTreeVO;
import com.lzmispt.data.resource.entity.vo.collectiondir.ResDirectoryVO;
import com.lzmispt.data.resource.entity.vo.collectiondir.ResPublishDirectoryTreeVO;
import com.lzmispt.data.resource.entity.vo.collectiondir.ResPublishDirectoryVO;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.util.List;
import java.util.Map;

public interface ICollectionDir {
  ResultEntity<Map> getResDirectoryPropertyConfigList(DCQueryModelDTO paramDCQueryModelDTO);
  
  ResultEntity<Integer> getNewConfigOrder(Integer paramInteger);
  
  boolean checkPropertyCodeIsExistByPropertyCode(String paramString, Long paramLong, Integer paramInteger);
  
  ResultEntity<ResDirectoryPropertyConfigVO> addResDirectoryPropertyConfig(SaveResDirectoryPropertyConfigDTO paramSaveResDirectoryPropertyConfigDTO);
  
  boolean checkPropertyCodeIsExistExceptSelfByPropertyId(String paramString, Long paramLong1, Long paramLong2, Integer paramInteger);
  
  ResultEntity<ResDirectoryPropertyConfigVO> updateResDirectoryPropertyConfig(SaveResDirectoryPropertyConfigDTO paramSaveResDirectoryPropertyConfigDTO);
  
  ResultEntity<String> isCanDeleteDirectoryProperty(ResDirectoryPropertyConfigPO paramResDirectoryPropertyConfigPO, String paramString);
  
  ResultEntity<Boolean> delResDirectoryPropertyConfigByPropertyId(List<Long> paramList, String paramString);
  
  ResultEntity<Map<String, Object>> delResDirectoryPropertyConfigByCondition(ListDeleteModelDTO paramListDeleteModelDTO, String paramString);
  
  ResultEntity<Boolean> batchSelectionSave(BatchSelectionSaveDTO paramBatchSelectionSaveDTO);
  
  ResultEntity<List<ResDirectorySceneVO>> getResDirectorySceneList(DCQueryModelDTO paramDCQueryModelDTO);
  
  ResultEntity<Integer> getNewSceneOrder(Integer paramInteger);
  
  ResultEntity<ResDirectorySceneVO> saveResDirectoryScene(ResDirectorySceneDTO paramResDirectorySceneDTO);
  
  boolean checkAddDataApplyDirExistsSceneCode(String paramString, Long paramLong, Integer paramInteger);
  
  boolean checkUpdateDataApplyDirExistsSceneCode(String paramString, Long paramLong1, Long paramLong2, Integer paramInteger);
  
  void recordLogOfDataDirectory(String paramString1, String paramString2, int paramInt, String paramString3, String paramString4);
  
  ResultEntity<ResDirectorySceneVO> getResDirectoryScene(Long paramLong, String paramString);
  
  ResultEntity<Boolean> delResDirectorySceneByIds(List<Long> paramList, String paramString);
  
  ResultEntity<Map<String, Object>> delResDirectorySceneByCondition(ListDeleteModelDTO paramListDeleteModelDTO, String paramString);
  
  ResultEntity<List<ResDirectoryVO>> getResDirectoryList(DCQueryModelDTO paramDCQueryModelDTO);
  
  ResultEntity<List<ResDirectoryVO>> getResDirectoryListBySceneId(Long paramLong, String paramString);
  
  ResultEntity<List<ResDirectoryTreeVO>> getResDirectoryTreeListBySceneId(Long paramLong, String paramString);
  
  ResultEntity<List<ResDirectoryResultTreeVO>> getResDirectoryTreeList(GetResDirectoryTreeDTO paramGetResDirectoryTreeDTO);
  
  void recordLogOfDataDirectoryNode(String paramString1, String paramString2, Long paramLong, int paramInt1, int paramInt2, String paramString3);
  
  ResultEntity<ResDirectoryVO> getResDirectory(Long paramLong, String paramString);
  
  void recordResDirectoryLog(List<ResDirectoryPO> paramList, String paramString1, String paramString2, String paramString3, String paramString4, String paramString5, String paramString6);
  
  ResultEntity<ResDirectoryVO> saveResDirectory(ResDirectoryDTO paramResDirectoryDTO);
  
  boolean isHasChildResDirectory(Long paramLong);
  
  ResultEntity<Boolean> deleteResDirectory(Long paramLong, String paramString);
  
  int getMaxOrderResDirectory(Long paramLong1, Long paramLong2);
  
  ResultEntity<Boolean> changeResDirectoryPosition(ResDirectoryDTO paramResDirectoryDTO, String paramString);
  
  ResultEntity<List<ResPublishDirectoryVO>> getResPublishDirectoryList(Long paramLong, String paramString);
  
  ResultEntity<List<ResPublishDirectoryTreeVO>> getResPublishDirectoryTreeList(GetResPublishDirectoryTreeDTO paramGetResPublishDirectoryTreeDTO);
  
  ResultEntity<Boolean> publishResDirectory(Long paramLong, String paramString);
  
  void deletePublishDirectory(ResPublishDirectoryPO paramResPublishDirectoryPO, boolean paramBoolean);
  
  ResultEntity<List<GetResDirectoryPropertyVO>> getResDirectoryProperty(GetResDirectoryPropertyDTO paramGetResDirectoryPropertyDTO);
  
  ResultEntity<Boolean> saveResDirectoryProperty(SaveResDirectoryPropertyDTO paramSaveResDirectoryPropertyDTO);
  
  ResultEntity<List<GetPropertyInfoVO>> getPropertyInfo(GetPropertyInfoDTO paramGetPropertyInfoDTO);
  
  ResultEntity<ResDirectoryPropertyVO> saveResDirectoryPropertyClick(List<SaveResDirectoryPropertyClickDTO> paramList, String paramString);
  
  ResultEntity<List<String>> getTables(String paramString);
  
  ResultEntity<List<String>> getColumns(String paramString1, String paramString2);
}
